.section-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 4rem;
  padding: 0 5%;
}

.section-title {
  font-size: 2rem;
  font-weight: bold;
  margin: 0;
}

.see-all {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-size: 1.2rem;
  color: inherit;
  text-decoration: none;
  font-weight: bold;
  transition: var(--y-transition-base);
}

.see-all:hover {
  color: var(--y-main);
  gap: 0.75rem;
}

.section {
  display: grid;
  grid-template-columns: 2fr 1.5fr;
  align-items: center;
  padding: 1rem 5%;
  margin-bottom: 4rem;
}
.products {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: 1.5rem;
  list-style: none;
  padding: 0;
  margin: 0;
}

@media (max-width: 820px) {
  .products {
    grid-template-columns: repeat(2, 1fr);
  }
}
.img-container {
  display: flex;
}
.img-container img {
  width: 100%;
  height: 700px;
  max-height: 100%;
  object-fit: cover;
  border-radius: 20px;
  box-shadow: 0 6px 18px rgba(0, 0, 0, 0.1);
}
.bag-section .products {
  order: 2;
}
.section.bag-section {
  grid-template-columns: 1.5fr 2fr;
  gap: 3rem;
}

main {
  margin: 0;
}

.design-img {
  max-width: 100%;
  height: auto;
  margin: 0;
  display: block;
}

@media (max-width: 820px) {
  .section {
    grid-template-columns: 1fr;
    justify-content: center;
    text-align: center;
    gap: 2rem;
    padding: 0;
    margin-bottom: 1rem;
  }
  .section.bag-section {
    grid-template-columns: 1fr;
    justify-content: center;
    text-align: center;
  }
  .section-header {
    padding: 0 1rem;
  }
  .section-title {
    font-size: 3rem;
  }
  .img-container {
    order: 1;
    margin: 0;
    border-radius: 0;
    width: 100%;
  }
  .img-container img {
    height: auto;
    border-radius: 0;
    width: 100%;
  }
  .products {
    padding: 2rem;
    gap: 1rem;
    order: 2;
  }
}
